Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://gogs.example.com/api/v1/repos/{owner}/{repo}/branches/{branch} \ --header 'Authorization: <api-key>'
{ "name": "<string>", "commit": { "id": "<string>", "message": "<string>", "url": "<string>", "author": { "name": "<string>", "email": "<string>", "username": "<string>" }, "committer": { "name": "<string>", "email": "<string>", "username": "<string>" }, "timestamp": "2023-11-07T05:31:56Z" } }
Personal access token. Use format: token {YOUR_ACCESS_TOKEN}
Repository owner
Repository name
Branch name
Success
Show child attributes